Page MenuHomeFreeBSD

USES=jpeg
ClosedPublic

Authored by antoine on Jan 21 2015, 11:33 PM.
Tags
None
Referenced Files
F81244242: D1582.id6375.diff
Sat, Apr 13, 4:56 AM
Unknown Object (File)
Thu, Apr 11, 2:13 PM
Unknown Object (File)
Wed, Apr 10, 7:58 PM
Unknown Object (File)
Mon, Apr 8, 9:12 PM
Unknown Object (File)
Sun, Mar 31, 12:35 PM
Unknown Object (File)
Sun, Mar 31, 12:32 PM
Unknown Object (File)
Sun, Mar 31, 12:31 PM
Unknown Object (File)
Mar 2 2024, 6:29 AM
Subscribers

Details

Summary

add USES=jpeg

My plan would be:

  1. convert the tree to USES=jpeg (for now USES=jpeg uses graphics/jpeg)
  2. update jpeg-turbo and make jpeg-turbo work on big endian archs
  3. do an exp-run with USES=jpeg using graphics/jpeg-turbo and the hacks in jpeg-turbo removed (libmap, program-suffix, @comment in plist)
  4. switch to jpeg-turbo

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

antoine retitled this revision from to USES=jpeg.
antoine updated this object.
antoine edited the test plan for this revision. (Show Details)
bapt added a reviewer: bapt.
This revision is now accepted and ready to land.Jan 22 2015, 12:14 AM

As I understand, it will be a little hard to use both libjpeg and jpeg-turbo simultaneously with this implementation?
Also jpeg-turbo's run and build cases needs to be fixed: in former binaries renamed to PREFIX/bin/*-turbo to avoid conflict and in latter static library is not installed.

This revision now requires review to proceed.Jun 19 2015, 9:34 AM
antoine edited edge metadata.

Refresh patch

This revision was automatically updated to reflect the committed changes.